WhatPulse Forums » Support » Client software v » AES functions not available. Arch Linux Welcome back, Guest.


Post Reply 
 
Thread Rating:
  • 2 Votes - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
AES functions not available. Arch Linux
04-25-2017, 09:11 PM
Post: #1
AES functions not available. Arch Linux
I just upgraded my system and am unable to launch the client software. I definitely have openssl installed and have not changed anything with the system, apart from updating it. What can I do to get whatpulse to work correctly again?
Find all posts by this user
Quote this message in a reply
05-03-2017, 04:04 PM
Post: #2
RE: AES functions not available. Arch Linux
Same problem, tried some tricks with LD_PRELOAD, tried ldd, installing openssl-compat libraries. Nothing worked. What function calls is the whatpulse using to try the OpenSSL availability?
Find all posts by this user
Quote this message in a reply
05-04-2017, 08:58 AM
Post: #3
RE: AES functions not available. Arch Linux
yup has been broken now for over a week Sad
Find all posts by this user
Quote this message in a reply
05-05-2017, 10:04 AM
Post: #4
RE: AES functions not available. Arch Linux
I've tried various things as well, such as using files from the openssl-1.0.0 package. Tracing with strace and ltrace. We would need the authors on this I think.
Find all posts by this user
Quote this message in a reply
05-10-2017, 04:56 PM
Post: #5
RE: AES functions not available. Arch Linux
I've had the same problem for a few weeks now, nothing I have attempted has been able to fix it.
Find all posts by this user
Quote this message in a reply
05-15-2017, 04:25 PM
Post: #6
RE: AES functions not available. Arch Linux
admins is this going to be fixed Sad?
Find all posts by this user
Quote this message in a reply
05-23-2017, 01:51 PM
Post: #7
RE: AES functions not available. Arch Linux
(05-15-2017 04:25 PM)Sc0rian Wrote:  admins is this going to be fixed Sad?

It is, in the next version.

Someone decided it wasn't a good idea to let OpenSSL 1.1 be backwards compatible with 1.0, which WhatPulse is linked against.
Visit this user's website Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  [CLOSED] Does whatpulse linux support Qt5 satshow 1 856 06-26-2016 06:19 PM
Last Post: smitmartijn
  [CLOSED] Installing on ARM Based Linux London_Ash 3 3,389 05-01-2016 11:42 PM
Last Post: Wopian
  Help for Linux version angelo.gallesio 0 393 04-27-2016 11:26 AM
Last Post: angelo.gallesio
  [Linux] Inaccurate download numbers Frogging101 7 1,137 04-13-2016 06:55 PM
Last Post: LukeLR
  [Linux] 0Gb Down 0Gb Up Alkaris 1 523 03-12-2016 11:33 PM
Last Post: Wopian
  Application uploading not yet supported in Linux client? Wieschie 16 12,719 02-10-2016 06:17 PM
Last Post: smitmartijn
  [Linux] How to disable or turn off balloon notifications from WhatPulse? Alkaris 2 1,056 02-03-2016 04:50 PM
Last Post: Alkaris
  [CLOSED] Whaptpulse 2.6.2 linux packaging phrenq 3 1,390 08-10-2015 05:57 PM
Last Post: smitmartijn
  Linux: x warns bad drawable, translucent main window. Wieschie 2 1,440 05-23-2015 06:15 PM
Last Post: Wieschie
  [FIXED] [Linux] WP 2.6 fail to start maew 3 1,251 05-19-2015 07:00 AM
Last Post: maew

Forum Jump:


User(s) browsing this thread: 1 Guest(s)